#include <Wire.h>

#define address 0x50

void setup() {
    Serial.begin(9600); // set baudrate
    Wire.begin();

    write(0,13);    // write value 13 to location 0
    Serial.println(read(0));    // prints the value saved at location 0
}

void loop() {
  // empty
}

// Method to write data into a specific location
void write(byte location, byte data){
    Wire.beginTransmission(address);    // opens communication to EEPROM
    Wire.write(location >> 8);     // transmits location where to write data
    Wire.write(location & 0xFF);
    Wire.write(data);           // transmits data
    Wire.endTransmission();

    delay(5);
}

// Method to read data from a specific location
byte read(byte location){
    byte data = NULL;
    Wire.beginTransmission(address);    // opens communication to EEPROM
    Wire.write(location >> 8);     // transmits location where to read data
    Wire.write(location & 0xFF);
    Wire.endTransmission();

    Wire.requestFrom(address, 1);       // request data

    delay(1);
    if (Wire.available()) data = Wire.read();   // save read data into data
    return data;
}